Bug 864511 - Template - Disks - Actual Size is wrong
Template - Disks - Actual Size is wrong
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal (Show other bugs)
3.1.0
All Linux
unspecified Severity high
: ---
: 3.1.0
Assigned To: Asaf Shakarchi
Attila Darazs
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 09:27 EDT by Pavel Stehlik
Modified: 2016-02-10 14:33 EST (History)
10 users (show)

See Also:
Fixed In Version: SI24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SI20 user portal, disks tab (96.85 KB, image/png)
2012-10-15 04:51 EDT, Simon Grinberg
no flags Details

  None (edit)
Description Pavel Stehlik 2012-10-09 09:27:22 EDT
Description of problem:
 The column shows 'Virtual size' not 'Actual size'. Column should be renamed or should show really actual size (VM tab shows both). 

Version-Release number of selected component (if applicable):
si20

How reproducible:
100%

Steps to Reproduce:
1. create template from VM 
2. see the template in UP
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Simon Grinberg 2012-10-09 12:04:01 EDT
I have SI16 and I see two columns in the template's disks sub tab, 1 for virtual size and one for actual - so where are you looking ?

Which Tab? which sub-menu? 

You must provide more accurate information when opening a bug.
Comment 6 Simon Grinberg 2012-10-15 04:48:19 EDT
Checked on my SI20 (yes I upgraded) and everything looks right - with both actual and virtual size.

Please see screen shot.

Verify that your setup was indeed set to SI20, and please close if not relevant anymore.
Comment 7 Simon Grinberg 2012-10-15 04:51:05 EDT
Created attachment 627261 [details]
SI20 user portal, disks tab
Comment 8 Ayal Baron 2012-10-17 10:40:58 EDT
Pavel, can you confirm what Simon asked?
Thanks.
Comment 9 Pavel Stehlik 2012-10-19 10:30:51 EDT
Sry for late reply, already reinstalled si21, same issue. From Simon's picture is obvious he's talking about VM. However I am about template.
I've just create an template from clear VM (virt size of VM is indeed 6GB, however it's true size is <1G - its empty). Once I make template of it, in the webadmin I can see its sizes: Virt=6/Actual<1 . In the UserPortal tab Templates is only one column with name 'Actual size' whuch displays 6GB - (see original scrn.sht).
Comment 10 Simon Grinberg 2012-10-21 09:49:55 EDT
OK, 

Now I get what you mean.
Not just the title is wrong, it's indeed virtual size and not actual, but it also has the format field that should not be there. 

If the concept of the templates should follow the VM disks tab, then the Template tab should be the same as the on on the web admin (Probably - the copy disk option), this is not the case 

Acking, but need to discuss with Ayal what we need to complete, it's more then the column header.
Comment 16 Asaf Shakarchi 2012-10-22 12:17:43 EDT
Patch submitted:
http://gerrit.ovirt.org/#/c/8729/
Comment 17 Allon Mureinik 2012-10-29 03:35:54 EDT
Merged I0a9fb68e1b11db19db6b617a4269879a45109a29
Comment 18 Jiri Belka 2012-11-08 03:45:50 EST
OK,

- tested in SI24
- in UserPortal->Templates->template->Disks columns look same as in VM Disks (Virtual Size, Actual Size + Actual Size shows valid value).

Note You need to log in before you can comment on or make changes to this bug.